package schnitt;

import java.awt.Dimension;
import java.awt.Graphics;

import javax.swing.JFrame;
import javax.swing.JPanel;

public class PaintBoard extends JPanel{
	Paintable[] ps;

	public PaintBoard(Paintable... ps) {
		super();
		this.ps = ps;
	}
	@Override
	public Dimension getPreferredSize() {
		return new Dimension(400,400);
	}
	@Override
	public void paintComponent(Graphics g) {
		for (var p:ps)p.paintMe(g);
	}
	void showMe() {
		var f = new JFrame("Werbung");
		f.add(this);
		f.pack();
		f.setVisible(true);
	}
}
