package schnitt;

import java.awt.Graphics;

public class Ellipse implements Geo , Paintable{
	int x;
	int y;
	int width;
	int height;

	public Ellipse(int x, int y, int width, int height) {
		super();
		this.x = x;
		this.y = y;
		this.width = width;
		this.height = height;
	}

	@Override
	public int y() {
		return y;
	}

	@Override
	public int x() {
		return x;
	}

	@Override
	public int width() {
		return width;
	}

	@Override
	public int height() {
		return height;
	}

	public static void main(String[] args) {
		var e1 = new Ellipse(0, 0, 20, 50);
		var e2 = new Ellipse(10, 10, 120, 150);
		System.out.println(e1.touches(e2));
		var pb = new PaintBoard(e1,e2);
		pb.showMe();
	}

	@Override
	public void paintMe(Graphics g) {
		g.fillOval(x(),y(),width(),height());
	}
}
