package schnitt;

public interface Geo {
	int y();
	int x();
	int width();
	int height();
	default boolean isAbove(Geo that) {
		return this.y()+this.height() < that.y();
	}
	default boolean isUnderneath(Geo that) {
		return that.isAbove(this);
	}
	default boolean isLeftOf(Geo that) {
		return this.x()+this.width() < that.x();
	}
	default boolean isRightOf(Geo that) {
		return that.isLeftOf(this);
	}
	default boolean touches(Geo that) {
		return ! (isAbove(that)||isUnderneath(that)||isLeftOf(that)||isRightOf(that));
	}
}
